In [1]:
import pywikibot

site = pywikibot.Site('commons', 'wikimedia')
page = pywikibot.Page(site, 'User:info-farmer/PAWS')

page.text = '<u>கீழ்கண்ட பதிவுகள், விக்கிமீடியாவின் PAWS என்ற இணைய பைவிக்கித்தானியங்கிக் கருவியின் சோதனைகளாகும்.</u>'
    
page.save()
---------------------------------------------------------------------------
KeyError                                  Traceback (most recent call last)
/srv/paws/lib/python3.4/site-packages/pywikibot/family.py in load(fam)
    925                 warnings.simplefilter("ignore", RuntimeWarning)
--> 926                 mod = imp.load_source(fam, config.family_files[fam])
    927         except (ImportError, KeyError):

KeyError: 'wikimedia'

During handling of the above exception, another exception occurred:

UnknownFamily                             Traceback (most recent call last)
<ipython-input-1-935da1524d25> in <module>()
      1 import pywikibot
      2 
----> 3 site = pywikibot.Site('commons', 'wikimedia')
      4 page = pywikibot.Page(site, 'User:info-farmer/PAWS')
      5 

/srv/paws/lib/python3.4/site-packages/pywikibot/__init__.py in Site(code, fam, user, sysop, interface, url)
    788 
    789         if not isinstance(fam, Family):
--> 790             fam = Family.load(fam)
    791 
    792     interface = interface or fam.interface(code)

/srv/paws/lib/python3.4/site-packages/pywikibot/tools/__init__.py in wrapper(*__args, **__kw)
   1415                              cls, depth)
   1416                     del __kw[old_arg]
-> 1417             return obj(*__args, **__kw)
   1418 
   1419         if not __debug__:

/srv/paws/lib/python3.4/site-packages/pywikibot/family.py in load(fam)
    926                 mod = imp.load_source(fam, config.family_files[fam])
    927         except (ImportError, KeyError):
--> 928             raise UnknownFamily(u'Family %s does not exist' % fam)
    929         cls = mod.Family()
    930         if cls.name != fam:

UnknownFamily: Family wikimedia does not exist
In [2]:
import pywikibot

site = pywikibot.Site('commons', 'commons')
page = pywikibot.Page(site, 'User:info-farmer/PAWS')

page.text = '<u>கீழ்கண்ட பதிவுகள், விக்கிமீடியாவின் PAWS என்ற இணைய பைவிக்கித்தானியங்கிக் கருவியின் சோதனைகளாகும்.</u>'
    
page.save()
Sleeping for 8.7 seconds, 2016-09-23 23:45:25
Page [[commons:User:Info-farmer/PAWS]] saved
In [3]:
import pywikibot

site = pywikibot.Site('commons', 'commons')
page = pywikibot.Page(site, 'File:அக்டோபர்_புரட்சியும்_தமிழ்_இலக்கியமும்.pdf')

page.text = page.text.replace('Image page   = 1','Image page   = 3')
page.save()
WARNING: API error badtoken: Invalid token
Sleeping for 9.9 seconds, 2016-09-24 07:39:05
Page [[commons:File:அக்டோபர் புரட்சியும் தமிழ் இலக்கியமும்.pdf]] saved
In [ ]: